@REM
@REM Copyright (c) Microsoft Corporation.  All rights reserved.
@REM
@REM
@REM Use of this source code is subject to the terms of the Microsoft end-user
@REM license agreement (EULA) under which you licensed this SOFTWARE PRODUCT.
@REM If you did not accept the terms of the EULA, you are not authorized to use
@REM this source code. For a copy of the EULA, please see the LICENSE.RTF on your
@REM install media.
@REM
@echo off

@REM Display a MKDisk version number to the user

@echo BiosLoader MKDISK Version 1.1.00
@echo.

if not "%1"=="" goto Bsect

@echo This batch file prepares a storage device with the Windows CE BIOS
@echo bootloader.  It assumes the storage device has been properly partitioned
@echo and formatted first (disk should be clean and without a volume label).
@echo.
@echo Usage: %0 drive
@echo.
@echo drive - drive letter of storage device (a:, c:, etc.).
@echo.
goto Done

:Bsect
echo Preparing %1 to run biosloader

@REM Check to see if the bootsector image is available and, if so,
@REM place it onto the destination drive
if exist bsect.img goto Bldr
echo ERROR: Cannot find boot sector image (bsect.img).
goto Done

:Bldr
if exist bldr goto Xfer:
echo ERROR: Cannot find bootloader image (bldr).
goto Done

:Xfer
echo Preparing the boot sector of %1
if exist %1\bldr attrib -r -s -h %1\bldr
cesys -b:62 bsect.img bldr %1
if exist %1\bldr attrib +r +s +h %1\bldr

if exist %1\bldr goto CopyFiles
@echo ERROR: BLDR not successfully copied to %1

:CopyFiles
@REM Now copy the remaining configuration files to the destination drive

if exist boot.ini goto BootIni
echo ERROR: Cannot find boot config file (boot.ini).
goto Done

:BootIni
if exist %1\boot.ini attrib -r -s -h %1\boot.ini
echo Copying boot.ini to %1
copy boot.ini %1 > NUL

if exist splash.bmx goto SplashBmx
echo ERROR: Cannot find splash screen image (splash.bmx).
goto Done

:SplashBmx
if exist %1\splash.bmx attrib -r -s -h %1\splash.bmx
echo Copying splash.bmx to %1
copy splash.bmx %1 > NUL

if exist eboot.bix goto EbootBix
echo ERROR: Cannot find eboot bootloader (eboot.bix).
goto Done

:EbootBix
if exist %1\eboot.bix attrib -r -s -h %1\eboot.bix
echo Copying eboot.bix to %1
copy eboot.bix %1 > NUL

echo %1 is setup to boot nk.bin or eboot.bix if nk.bin is not present.
echo Edit boot.ini if you wish to change these boot settings.
echo Please remove the floppy disk and reset system for changes to take affect.

:Done
